# .NET Core SDK Usage Data

The [.NET Core SDK collects usage data](https://docs.microsoft.com/dotnet/core/tools/telemetry) by default. This data is used by .NET Core developers to make product decisions on its advancement.

As an open source application platform that collects usage data via an SDK, it is important that all developers that work on the project have access to usage data in order to fully participate in and understand design choices and propose product changes. 

See: [What we’ve learned from .NET Core SDK Telemetry](https://blogs.msdn.microsoft.com/dotnet/2017/07/21/what-weve-learned-from-net-core-sdk-telemetry/)

## Data

* [2017 - Q4](https://dotnetcli.blob.core.windows.net/usagedata/dotnet-cli-usage-2017-q4.tsv)
* [2017 - Q3](https://dotnetcli.blob.core.windows.net/usagedata/dotnet-cli-usage-2017-q3.tsv)
* [2017 - Q2](https://dotnetcli.blob.core.windows.net/usagedata/dotnet-cli-usage-2017-q2.tsv)
* [2017 - Q1](https://dotnetcli.blob.core.windows.net/usagedata/dotnet-cli-usage-2017-q1.tsv)
* [2016 - Q4](https://dotnetcli.blob.core.windows.net/usagedata/dotnet-cli-usage-2016-q4.tsv)
* [2016 - Q3](https://dotnetcli.blob.core.windows.net/usagedata/dotnet-cli-usage-2016-q3.tsv)

# License

These data files are licensed with the [Open Data Commons Attribution License](https://opendatacommons.org/licenses/by/).

## Contact

For more information on this data, please contact [dotnet@microsoft.com](mailto:dotnet@microsoft.com).
